Debian Bug report logs - #588783
xen-tools: Should mount /dev/pts when creating image

version graph

Package: xen-tools; Maintainer for xen-tools is Axel Beckert <abe@debian.org>; Source for xen-tools is src:xen-tools.

Reported by: Sven Hoexter <sven@timegate.de>

Date: Mon, 12 Jul 2010 09:24:02 UTC

Severity: normal

Tags: confirmed, fixed-upstream

Found in versions xen-tools/4.2~rc1-1, xen-tools/4.2~beta1-1

Fixed in version xen-tools/4.2.1-1

Done: Axel Beckert <abe@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, baryluk@smp.if.uj.edu.pl, Axel Beckert <abe@debian.org>:
Bug#588783; Package xen-tools. (Mon, 12 Jul 2010 09:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
New Bug report received and forwarded. Copy sent to baryluk@smp.if.uj.edu.pl, Axel Beckert <abe@debian.org>. (Mon, 12 Jul 2010 09:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Witold Baryluk <baryluk@smp.if.uj.edu.pl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xen-tools: Should mount /dev/pts when creating image
Date: Mon, 12 Jul 2010 11:21:39 +0200
Package: xen-tools
Version: 4.2~beta1-1
Severity: wishlist

It is usefull to have /dev/pts mounted.

For example when using --role=minimal, also kernel image is
removed from the image. But this in this important step,
apt-get uses dialog to ask if you really want to perform this step.
One cannot see anything (image creation just stall at the step
Executing : /etc/xen-tools/role.d/minimal /tmp/3LoBTbLxWg

Only way is to look at the logs (becuase it output is redirected there),
and know that to perform this step
one needs to press right arrow on keyboard, then enter
(canceling will abort whole image creation).

Possible other solution is to have a way to use readline/dialog,
directly in the same console without problem.

Thanks.



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-xen-686 (SMP w/1 CPU core)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to pl_PL.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xen-tools depends on:
ii  debootstrap                   1.0.23     Bootstrap a basic Debian system
ii  libconfig-inifiles-perl       2.52-1     Read .ini-style configuration file
ii  libfile-slurp-perl            9999.13-1  single call read & write file rout
ii  libtext-template-perl         1.45-1     Text::Template perl module
ii  perl-modules                  5.10.1-13  Core Perl modules

Versions of packages xen-tools recommends:
ii  libexpect-perl               1.20-2      Expect.pm - Perl Expect interface
ii  rinse                        1.7-1       RPM installation environment
ii  xen-hypervisor-3.4-i386 [xen 3.4.3-1     The Xen Hypervisor on i386
ii  xen-hypervisor-4.0-i386 [xen 4.0.1~rc3-1 The Xen Hypervisor on i386
ii  xen-shell                    1.9-1       Console based Xen administration u

Versions of packages xen-tools suggests:
pn  cfengine2                    <none>      (no description available)
pn  evms-cli                     <none>      (no description available)
ii  reiserfsprogs                1:3.6.21-1  User-level tools for ReiserFS file
ii  xen-utils-3.4 [xen-utils]    3.4.3-1     XEN administrative tools
ii  xen-utils-4.0 [xen-utils]    4.0.1~rc3-1 XEN administrative tools
ii  xfsprogs                     3.1.2-1     Utilities for managing the XFS fil

-- Configuration Files:
/etc/bash_completion.d/xm changed:
have xm && {
_xen_domain_names()
{
    COMPREPLY=( $(compgen -W "$( xm list 2>/dev/null | \
        awk '!/Name|Domain-0/ { print $1 }'  )" -- "$cur") )
}
_xen_domain_ids()
{
    COMPREPLY=( $(compgen -W "$( xm list 2>/dev/null | \
        awk '!/Name|Domain-0/ { print $2 }' )" -- "$cur") )
}
_xm()
{
    # TODO: _split_longopt
    local cur prev command options
    COMPREPLY=()
    _get_comp_words_by_ref cur prev
    commands='console create new delete destroy domid domname dump-core \
        list mem-max mem-set migrate pause reboot rename restore \
        resume save shutdown start suspend sysrq trigger top unpause \
        uptime vcpu-list vcpu-pin vcpu-set debug-keys dmesg info log \
        serve sched-credit sched-sedf block-attach block-detach \
        block-list network-attach network-detach network-list \
        vtpm-list vnet-list vnet-create vnet-delete labels addlabel \
        rmlabel getlabel dry-run resources makepolicy loadpolicy \
        cfgbootpolicy dumppolicy help'
    if [[ $COMP_CWORD -eq 1 ]] ; then
        COMPREPLY=( $( compgen -W "$commands" -- "$cur" ) )
    else
        if [[ "$cur" == *=* ]]; then
            prev=${cur/=*/}
            cur=${cur/*=/}
        fi
        command=${COMP_WORDS[1]}
        if [[ "$cur" == -* ]]; then
            # possible options for the command
            case $command in
                create)
                    options='-c'
                    ;;
                dmesg)
                    options='--clear'
                    ;;
                list)
                    options='--long'
                    ;;
                reboot)
                    options='-w -a'
                    ;;
                shutdown)
                    options='-w -a -R -H'
                    ;;
                sched-credit)
                    options='-d -w -c'
                    ;;
                block-list|network-list|vtpm-list|vnet-list)
                    options='-l --long'
                    ;;
                getpolicy)
                    options='--dumpxml'
                    ;;
                new)
                    options='-h --help --help_config -q \
                        --quiet --path= -f= \
                        --defconfig= -F= --config= \
                        -b --dryrun -x --xmldryrun \
                        -s --skipdtd -p --paused -c \
                        --console_autoconnect'
                    ;;
            esac
            COMPREPLY=( $( compgen -W "$options" -- "$cur" ) )
        else
            case $command in
                console|destroy|domname|domid|list|mem-set|mem-max| \
                pause|reboot|rename|shutdown|unpause|vcpu-list|vcpu-pin| \
                vcpu-set|block-list|network-list|vtpm-list)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                    esac
                    ;;
                migrate)
                    _count_args
                        case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            _known_hosts_real "$cur"
                            ;;
                    esac
                    ;;
                restore|dry-run|vnet-create)
                    _filedir
                    ;;
                save)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            _filedir
                            ;;
                    esac
                    ;;
                sysrq)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            COMPREPLY=( $(compgen -W "r s e i u b" -- "$cur") )
                            ;;
                    esac
                    ;;
                block-attach)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            COMPREPLY=( $(compgen -W "phy: file:" -- "$cur") )
                            ;;
                        5)
                            COMPREPLY=( $(compgen -W "w r" -- "$cur") )
                            ;;
                        6)
                            _xen_domain_names
                            ;;
                    esac
                    ;;
                block-detach)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            COMPREPLY=( $(compgen -W "$( xm block-list $prev \
                                2>/dev/null | awk '!/Vdev/ { print $1 }' )" \
                                -- "$cur") )
                            ;;
                    esac
                    ;;
                network-attach)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        *)
                            COMPREPLY=( $(compgen -W "script= ip= mac= \
                                bridge= backend=" -- "$cur") )
                            ;;
                    esac
                    ;;
                network-detach)
                    _count_args
                    case $args in
                        2)
                            _xen_domain_names
                            ;;
                        3)
                            COMPREPLY=( $(compgen -W "$( xm network-list $prev \
                                2>/dev/null | awk '!/Idx/ { print $1 }' )" \
                                -- "$cur") )
                            ;;
                    esac
                    ;;
                sched-credit)
                    case $prev in
                        -d)
                            _xen_domain_names
                            return 0
                            ;;
                    esac
                    ;;
                create)
                    _filedir
                    COMPREPLY=( ${COMPREPLY[@]:-} \
                        $( compgen -W '$( command ls /etc/xen 2>/dev/null )' \
                        -- "$cur" ) )
                    ;;
                new)
                    case $prev in
                        -f|-F|--defconfig|--config)
                            _filedir
                            return 0
                            ;;
                        --path)
                            _filedir -d
                            return 0
                            ;;
                    esac
                    _count_args
                        case $args in
                        2)
                            _xen_domain_names
                            ;;
                    esac
                    ;;
            esac
        fi
    fi
    return 0
}
complete -F _xm xm
}

/etc/xen-tools/xen-tools.conf changed:
dir = /sctank2/VMs/lenny1-xen
install-method = debootstrap
size   = 4Gb      # Disk image size.
memory = 128Mb    # Memory size
swap   = 128Mb    # Swap size
fs     = ext3     # use the EXT3 filesystem for the disk image.
dist   = `xt-guess-suite-and-mirror -s` # Default distribution to install.
image  = sparse   # Specify sparse vs. full disk images.
kernel      = /boot/vmlinuz-`uname -r`
initrd      = /boot/initrd.img-`uname -r`
mirror = `xt-guess-suite-and-mirror -m`
ext3_options   = noatime,nodiratime,errors=remount-ro
ext2_options   = noatime,nodiratime,errors=remount-ro
xfs_options    = defaults
reiser_options = defaults


-- no debconf information




Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 03 Aug 2010 12:42:05 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Sun, 15 Aug 2010 18:09:13 GMT) Full text and rfc822 format available.

Notification sent to Witold Baryluk <baryluk@smp.if.uj.edu.pl>:
Bug acknowledged by developer. (Sun, 15 Aug 2010 18:09:13 GMT) Full text and rfc822 format available.

Message #12 received at 588783-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 588783-close@bugs.debian.org
Subject: Bug#588783: fixed in xen-tools 4.2~rc1-1
Date: Sun, 15 Aug 2010 18:04:11 +0000
Source: xen-tools
Source-Version: 4.2~rc1-1

We believe that the bug you reported is fixed in the latest version of
xen-tools, which is due to be installed in the Debian FTP archive:

xen-tools_4.2~rc1-1.diff.gz
  to main/x/xen-tools/xen-tools_4.2~rc1-1.diff.gz
xen-tools_4.2~rc1-1.dsc
  to main/x/xen-tools/xen-tools_4.2~rc1-1.dsc
xen-tools_4.2~rc1-1_all.deb
  to main/x/xen-tools/xen-tools_4.2~rc1-1_all.deb
xen-tools_4.2~rc1.orig.tar.gz
  to main/x/xen-tools/xen-tools_4.2~rc1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated xen-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 15 Aug 2010 19:34:38 +0200
Source: xen-tools
Binary: xen-tools
Architecture: source all
Version: 4.2~rc1-1
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 xen-tools  - Tools to manage Xen virtual servers
Closes: 513126 516902 560011 588783 588880
Changes: 
 xen-tools (4.2~rc1-1) unstable; urgency=low
 .
   [Axel Beckert]
   * New upstream release candidate
     - Uses GeoIP for Debian mirrors: Default Debian mirror is now
       cdn.debian.net, see http://wiki.debian.org/DebianGeoMirror for
       details.
     - Uses the same 15-disable-hwclock hook for Debian as for Ubuntu DomUs
       (Closes: #588880)
     - Mounts not only /proc but also /dev/pts automatically before running
       any customisation hooks (Closes: #588783)
     - Uses apt-config to parse Dom0's apt.conf. (Closes: #560011)
     - Fixes wrong loop module parameter syntax in warning. Thanks to
       Daniel Baumann for spotting this. (Closes: #516902)
     - With --verbose, the output of commands called by xen-tools
       (e.g. debootstrap) is not only logged, but also printed to
       STDOUT. (Closes: #513126)
     - Adds btrfs support.
   * Bump Standards-Version to 3.9.1 (no changes)
 .
   [Stéphane Jourdois]
   * [debian/control] Suggest btrfs-tools
Checksums-Sha1: 
 b0c2a31a8fb031e3fcf483d180d634ed570c7249 1173 xen-tools_4.2~rc1-1.dsc
 4617a9c66ff1635946217fc0cf3cb9a190ddc403 232088 xen-tools_4.2~rc1.orig.tar.gz
 df354de5a1a90d4b9fd2b087922f0630837e9405 13568 xen-tools_4.2~rc1-1.diff.gz
 867425d0a0c9c6f578bb9b95cac3b569730ace00 254656 xen-tools_4.2~rc1-1_all.deb
Checksums-Sha256: 
 b348932dfd41a539f5d90f7012c07a4779f16493ed84a5c7a66f9526370d7d3d 1173 xen-tools_4.2~rc1-1.dsc
 35e8753a167fa42f36be644e35cfc4f2c480b9ad06b1e95e10b2d412ec920123 232088 xen-tools_4.2~rc1.orig.tar.gz
 bc31cb5b04d81d14e4d775879b8ca81b5d2c0032c9d20870d05f34a31a7f2863 13568 xen-tools_4.2~rc1-1.diff.gz
 bd4e9b05aa41af317cdd4dffb4d61ae5ed2a2654e6a5199223f05c553986fb39 254656 xen-tools_4.2~rc1-1_all.deb
Files: 
 dfd4a5f59b51b5b295f774a1168d48b9 1173 utils extra xen-tools_4.2~rc1-1.dsc
 90825955399a2403c1f99d86b976eaed 232088 utils extra xen-tools_4.2~rc1.orig.tar.gz
 66f01098d1a0db9c73b7cf766fcdd2ed 13568 utils extra xen-tools_4.2~rc1-1.diff.gz
 a35461575d27ec766d2dc2b0ad7d9708 254656 utils extra xen-tools_4.2~rc1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxoJwIACgkQwJ4diZWTDt6PcwCeJmB+bD+Sa6uImpUMCqFpC3rs
fjYAn3TS/7H87iVxHnPe+PMg3d2FyDek
=PXn9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Sep 2010 07:37:49 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Sven Hoexter <sven@timegate.de> to control@bugs.debian.org. (Sat, 02 Oct 2010 11:03:02 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Sven Hoexter <sven@timegate.de>' from 'Witold Baryluk <baryluk@smp.if.uj.edu.pl>' Request was from Sven Hoexter <sven@timegate.de> to control@bugs.debian.org. (Sat, 02 Oct 2010 11:03:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions xen-tools/4.2~rc1-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Oct 2010 11:03:04 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Sven Hoexter <sven@timegate.de> to control@bugs.debian.org. (Sat, 02 Oct 2010 11:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Axel Beckert <abe@debian.org>:
Bug#588783; Package xen-tools. (Sat, 02 Oct 2010 12:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Hoexter <sven@timegate.de>:
Extra info received and forwarded to list. Copy sent to Axel Beckert <abe@debian.org>. (Sat, 02 Oct 2010 12:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 588783@bugs.debian.org (full text, mbox):

From: Sven Hoexter <sven@timegate.de>
To: control@bugs.debian.org, 588783@bugs.debian.org
Subject: Seems that /dev/pts is still not mounted
Date: Sat, 2 Oct 2010 14:25:53 +0200
found 588783 4.2~rc1-1
thanks

Hi,
I'm still seeing this bug, donno if I'm the only one though.

main:~# dpkg -l|grep xen-tools
ii  xen-tools                               4.2~rc1-1                   Tools to manage Xen virtual servers

main:~# xen-create-image --memory=6Gb --output=/etc/xen --passwd \
--role=udev,minimal --partitions=/etc/xen-tools/partitions.d/void.x \
--dist=squeeze --ip=188.x --gateway=188.x --netmask=255.x \
--broadcast=188.x --lvm=vg0 --hostname=void.x --force

And in the logfile I've several
    Can not write log, openpty() failed (/dev/pts not mounted?)

Sven
-- 
And I don't know much, but I do know this:
With a golden heart comes a rebel fist.
     [ Streetlight Manifesto - Here's To Life ]




Bug Marked as found in versions xen-tools/4.2~rc1-1. Request was from Sven Hoexter <sven@timegate.de> to control@bugs.debian.org. (Sat, 02 Oct 2010 12:27:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#588783; Package xen-tools. (Tue, 08 Mar 2011 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. (Tue, 08 Mar 2011 23:27:03 GMT) Full text and rfc822 format available.

Message #34 received at 588783@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Sven Hoexter <sven@timegate.de>, 588783@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#588783: Seems that /dev/pts is still not mounted
Date: Wed, 9 Mar 2011 00:25:22 +0100
tag 588783 + confirmed
kthxbye

Hi Sven,

Sven Hoexter wrote:
> found 588783 4.2~rc1-1
> thanks
> 
> Hi,
> I'm still seeing this bug, donno if I'm the only one though.

Yes and no. It got unmounted too early. xen-tools hooks no more show
this bug, but role scripts still do:

> main:~# xen-create-image --memory=6Gb --output=/etc/xen --passwd \
> --role=udev,minimal --partitions=/etc/xen-tools/partitions.d/void.x \
  ^^^^^^^^^^^^^^^^^^^

The /dev/pts-not-mounted warnings should just appear while prcoessing
those role scripts.

Will be (hopefully :-) fixed once and forever with the next upstream
release of xen-tools.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added tag(s) confirmed. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 08 Mar 2011 23:27:04 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Tue, 08 Mar 2011 23:57:06 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Axel Beckert <abe@debian.org> to control@bugs.debian.org. (Wed, 09 Mar 2011 00:06:06 GMT) Full text and rfc822 format available.

Reply sent to Axel Beckert <abe@debian.org>:
You have taken responsibility. (Thu, 17 Mar 2011 03:09:03 GMT) Full text and rfc822 format available.

Notification sent to Sven Hoexter <sven@timegate.de>:
Bug acknowledged by developer. (Thu, 17 Mar 2011 03:09:03 GMT) Full text and rfc822 format available.

Message #45 received at 588783-close@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 588783-close@bugs.debian.org
Subject: Bug#588783: fixed in xen-tools 4.2.1-1
Date: Thu, 17 Mar 2011 03:04:25 +0000
Source: xen-tools
Source-Version: 4.2.1-1

We believe that the bug you reported is fixed in the latest version of
xen-tools, which is due to be installed in the Debian FTP archive:

xen-tools_4.2.1-1.diff.gz
  to main/x/xen-tools/xen-tools_4.2.1-1.diff.gz
xen-tools_4.2.1-1.dsc
  to main/x/xen-tools/xen-tools_4.2.1-1.dsc
xen-tools_4.2.1-1_all.deb
  to main/x/xen-tools/xen-tools_4.2.1-1_all.deb
xen-tools_4.2.1.orig.tar.gz
  to main/x/xen-tools/xen-tools_4.2.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 588783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Axel Beckert <abe@debian.org> (supplier of updated xen-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 17 Mar 2011 01:00:47 +0100
Source: xen-tools
Binary: xen-tools
Architecture: source all
Version: 4.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Axel Beckert <abe@debian.org>
Changed-By: Axel Beckert <abe@debian.org>
Description: 
 xen-tools  - Tools to manage Xen virtual servers
Closes: 588783 605203 611397 611407
Changes: 
 xen-tools (4.2.1-1) unstable; urgency=low
 .
   * New upstream release
     - Fixes bashism in "editor" roles script. Thanks Raphaël Halimi for
       the patch! (Closes: #605203)
     - Fixes missing architecture check in Sarge amd64 special case. Thanks
       to Guillaume Pernot! (Closes: #611397) Also changes default Sarge
       amd64 mirror to http://archive.debian.org/debian-amd64/.
     - Allows --ip=auto again (Closes: #611407)
     - Unmounts /proc and /dev/pts of the freshly installed DomU just
       before unmounting the disk image. (Closes: #588783)
Checksums-Sha1: 
 382b1f1ded654b64c1aa0543a696254e89207052 1159 xen-tools_4.2.1-1.dsc
 86f07cd74f6c3dd5303826a3d6dabf803949072c 232754 xen-tools_4.2.1.orig.tar.gz
 59ac44a56d3ff4070baa1b916afd37e51ebca07e 13968 xen-tools_4.2.1-1.diff.gz
 538f4fe720c50f2d7eecca43b1fb7efbc6f215bc 263920 xen-tools_4.2.1-1_all.deb
Checksums-Sha256: 
 2ef90c2d04b3175e378065b9cd756e3eb389a25a4010c1debfade89824863651 1159 xen-tools_4.2.1-1.dsc
 e5112170ad3fea32edad0e3ff73a86fe2ade914c5355d3b8148e00606611d305 232754 xen-tools_4.2.1.orig.tar.gz
 1067ab120ba5252f8c26ad7eff948caad863f959d8fc4f7c50da88a054c4f10c 13968 xen-tools_4.2.1-1.diff.gz
 11d69d9db9050c01e41b22e724be4d5774469b8d84e18ac50d54be2eaf764a89 263920 xen-tools_4.2.1-1_all.deb
Files: 
 b5f29123df8bc952061970015261283a 1159 utils extra xen-tools_4.2.1-1.dsc
 7b57244fb1f40b90d1c303eb4d7dd128 232754 utils extra xen-tools_4.2.1.orig.tar.gz
 84319594443954c0fb54ca238638127a 13968 utils extra xen-tools_4.2.1-1.diff.gz
 77931105c3fe3496ef106973433a2a64 263920 utils extra xen-tools_4.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk2BVXYACgkQwJ4diZWTDt7YzACfTVxN/beLZVdoVbODI5vwEw30
QT8AnAwR8SwxwQHHWnBbK/A9O4kMEOuZ
=n53C
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 08:49:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:11:36 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.